Bug 185157 - soffice.bin cannot start on ppc
soffice.bin cannot start on ppc
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 17:36 EST by Jesse Keating
Modified: 2013-01-09 21:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 06:50:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-03-10 17:36:08 EST
The program 'soffice.bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 84 error_code 1 request_code 145 minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)


openoffice.org-base-2.0.2-5.1.2

System was updated to 0310 rawhide.
Comment 1 Jesse Keating 2006-03-10 17:59:32 EST
Hrm, so this only happens when done through SSH.  Running locally it doesn't
have a problem.
Comment 2 Caolan McNamara 2006-03-11 07:10:43 EST
I don't have a ppc box :-(. It's going to be either an X bug, a compiler bug or
a java bug :-), can I get a gdb bt 

> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIG33 nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) handle SIGPWR nostop noprint
(gdb) run -base

?
Comment 3 Caolan McNamara 2006-03-16 05:08:33 EST
Can I get the output of...

> export SAL_SYNCHRONIZE=1
> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIG33 nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) handle SIGPWR nostop noprint
(gdb) run -base
(gdb) bt 

?

OOo running on a ppc, but remote displaying to an i386 or ppc box ?
Comment 4 Jesse Keating 2006-03-16 11:08:07 EST
It was displaying to an i386 box or x86_64, I don't recall what was on the test
system at the time.
Comment 5 Jesse Keating 2006-04-11 17:07:18 EDT
Hrm, so I'm having trouble getting a backtrace.  I've installed
openoffice.org-debuginfo and ran gdb, but after 'bt' I just get No stack.

[root@dhcp83-4 ~]# export SAL_SYNCHRONIZE=1
[root@dhcp83-4 ~]# gdb /usr/lib/openoffice.org2.0/program/soffice.bin
GNU gdb Red Hat Linux (6.3.0.0-1.122rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ppc-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) handle SIG33 nostop noprint
Signal        Stop      Print   Pass to program Description
SIG33         No        No      Yes             Real-time event 33
(gdb) handle SIGXCPU nostop noprint
Signal        Stop      Print   Pass to program Description
SIGXCPU       No        No      Yes             CPU time limit exceeded
(gdb) handle SIGPWR nostop noprint
Signal        Stop      Print   Pass to program Description
SIGPWR        No        No      Yes             Power fail/restart
(gdb) run -base
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -base
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x100000
[Thread debugging using libthread_db enabled]
[New Thread 805554176 (LWP 2732)]
warning: Lowest section in /usr/lib/libicudata.so.34 is .hash at 000000b4
The program 'soffice.bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 84 error_code 1 request_code 145 minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Program exited with code 01.
(gdb) bt
No stack.
Comment 6 Caolan McNamara 2006-04-12 04:24:11 EDT
Maybe this would get us something useful

> export SAL_SYNCHRONIZE=1
> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIG33 nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) handle SIGPWR nostop noprint
(gdb) break gdk_x_error
(gdb) run -base
(gdb) bt 

or maybe I could find a testing ppc box somewhere
Comment 7 Caolan McNamara 2006-04-18 06:50:52 EDT
I sshed into a ppc rawhide box, ran oowriter and oobase to display to my i386
box and all was well, no errors, no crash. :-(
Comment 8 Jesse Keating 2006-04-24 15:25:30 EDT
Now that my ppc box can boot rawhide, this issue does indeed seem to be
resolved.  I can no longer duplicate the issue.

Note You need to log in before you can comment on or make changes to this bug.